- NAME
- DESCRIPTION
  - Compatibility with Search::Xapian
- METHODS
- SEE ALSO

# NAME

Xapian::TermIterator - Iterate over a list of terms.

# DESCRIPTION

This object represents a stream of terms. It overloads `++` for advancing the iterator, or you can explicitly call the `inc` method. This class also overloads `eq`, `ne`, `==`, and `!=`.

## Compatibility with Search::Xapian

Search::Xapian overloads <""> (stringification) on this class to call the `get_termname` method. Call `get_termname` directly instead.

# METHODS

new

  Constructor. Defaults to a uninitialized iterator.

clone
inc

  Advance the iterator by one. (Called implicitly by `++` overloading)

skip_to <tname>

  Skip the iterator to term tname, or the first term after tname if tname isn't in the list of terms being iterated.

get_termname

  Get the name of the current term.

get_wdf

  Return the wdf of the current term (if meaningful).

get_termfreq

  Return the term frequency of the current term (if meaningful).

positionlist_begin

  Return Xapian::PositionIterator pointing to start of positionlist for current term.

positionlist_end

  Return Xapian::PositionIterator pointing to end of positionlist for current term.

get_description

  Returns a string describing this object.

equal <termiterator>

  Checks if a termiterator is the same as this termiterator. Also overloaded as the `eq` and `==` operators.

nequal <termiterator>

  Checks if a termiterator is different from this termiterator. Also overloaded as the `ne` and `!=` operators.

# SEE ALSO

Xapian, Xapian::Document